#!/bin/bash
SCRIPT_DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"

cd "$SCRIPT_DIR/.."

PHP_VERSIONS=(74 81 82 83)

set -e

ONLY_PUSH=$2

if [ -z "${ONLY_PUSH}" ]; then
    for PHP_VERSION in "${PHP_VERSIONS[@]}"; do
        docker-compose build "php${PHP_VERSION}" && \
        docker tag "src-php${PHP_VERSION}" "dimti/php:${PHP_VERSION}"

        docker-compose build "workspace${PHP_VERSION}" && \
        docker tag "src-workspace${PHP_VERSION}" "dimti/workspace:${PHP_VERSION}"
    done
fi

WITH_PUSH=$1

if [ -n "${WITH_PUSH}" ]; then
    for PHP_VERSION in "${PHP_VERSIONS[@]}"; do
        docker push "dimti/php:${PHP_VERSION}"
        docker push "dimti/workspace:${PHP_VERSION}"
    done
fi
